Package be.ehealth.technicalconnector.handler

# Class LoggingHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.LoggingHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class LoggingHandler extends AbstractSOAPHandler
The Class LoggingHandler.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MESSAGE_ENDPOINT_ADDRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext c)`
  `boolean`
  `handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the inbound flow.
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MESSAGE_ENDPOINT_ADDRESS

    public static final String MESSAGE_ENDPOINT_ADDRESS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoggingHandler

    public LoggingHandler()

- ## Method Details

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`

  - ### handleInbound

    public boolean handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the inbound flow.
    Overrides:
      `handleInbound` in class `AbstractSOAPHandler`

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext c)
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Overrides:
      `handleFault` in class `AbstractSOAPHandler`